FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post any problems / bugs / issues that are Mylar-related in here.
Post Reply
ebbnflow
Posts: 5
Joined: Mon Aug 27, 2018 12:48 am

FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by ebbnflow » Mon Aug 27, 2018 12:59 am

Hi all,

Today I updated to the latest and I also configured wwt torznab. I'm getting this error, even after I

Code: Select all

pip install html5lib
I ran a ls on /usr/lib/python2.7/site-packages and I see html5lib there. I've rebooted my synology nas, and restarted mylar a couple of times.

I did notice that mylar says python is version 2.7.14 but when I run 'python --version' I get 2.7.12

Any ideas?

Uncaught exception: Traceback (most recent call last):
File "/volume1/@appstore/mylar/share/mylar/mylar/logger.py", line 336, in new_run
old_run(*args, **kwargs)
File "/var/packages/python/target/lib/python2.7/threading.py", line 754, in run
self.__target(*self.__args, **self.__kwargs)
File "/volume1/@appstore/mylar/share/mylar/mylar/helpers.py", line 3007, in search_queue
ss_queue = mylar.search.searchforissue(item['issueid'])
File "/volume1/@appstore/mylar/share/mylar/mylar/search.py", line 2118, in searchforissue
foundNZB, prov = search_init(ComicName, IssueNumber, str(IssueYear), SeriesYear, Publisher, IssueDate, StoreDate, actissueid, AlternateSearch, UseFuzzy, ComicVersion, SARC=SARC, IssueArcID=IssueArcID, mode=mode, rsscheck=rsscheck, ComicID=ComicID, filesafe=Comicname_filesafe, allow_packs=allow_packs, oneoff=oneoff, manual=manual, torrentid_32p=TorrentID_32p)
File "/volume1/@appstore/mylar/share/mylar/mylar/search.py", line 336, in search_init
findit = NZB_SEARCH(ComicName, IssueNumber, ComicYear, SeriesYear, Publisher, IssueDate, StoreDate, searchprov, send_prov_count, IssDateFix, IssueID, UseFuzzy, newznab_host, ComicVersion=ComicVersion, SARC=SARC, IssueArcID=IssueArcID, RSS="no", ComicID=ComicID, issuetitle=issuetitle, unaltered_ComicName=unaltered_ComicName, allow_packs=allow_packs, oneoff=oneoff, cmloopit=cmloopit, manual=manual, torznab_host=torznab_host, torrentid_32p=torrentid_32p)
File "/volume1/@appstore/mylar/share/mylar/mylar/search.py", line 619, in NZB_SEARCH
bb = ww.wwt_connect()
File "/volume1/@appstore/mylar/share/mylar/mylar/wwt.py", line 53, in wwt_connect
soup = BeautifulSoup(r.content, "html5lib")
File "/volume1/@appstore/mylar/share/mylar/lib/bs4/__init__.py", line 165, in __init__
% ",".join(features))
FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib. Do you need to install a parser library?

User avatar
evilhero
Site Admin
Posts: 2263
Joined: Sat Apr 20, 2013 3:43 pm
Contact:

Re: FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by evilhero » Mon Aug 27, 2018 2:22 am

It would seem that you have 2 versions of python installed and your pip install is installing items to the version of python that mylar isn't using.

Normally you can call a python program by specifying the path to the binary (ie. Python2.7, or the like), but that's normally between Python 2 and Python 3. In this case it might be python2.7 for one version, and just python for the other.

You have to figure out how to run the python 2.7.12 version with Mylar, or get Mylar to execute the 2.7.14 version (as it does already) but pip install html5lib into that version (ie. pip2.7 install html5lib).

Also, you don't need wwt torznab if you have public torrents enabled. Public torrents uses both Demonoid and WWT - altho only RSS monitoring is available for DEM, while both RSS & search works with WWT.

The html5lib error is due to having public torrents enabled within Mylar (and not having the html5lib available for usage). So if you can't figure out the python version problem, you can just disable public torrents within mylar, and keep the torznab WWT enabled which will still allow to use WWT. But if you figure out the python version problem, there's no need to have both as they both perform the same function.

ebbnflow
Posts: 5
Joined: Mon Aug 27, 2018 12:48 am

Re: FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by ebbnflow » Mon Aug 27, 2018 2:03 pm

found it!

On the Synology nas, Mylar uses:

/volume1/@appstore/mylar/env/bin/python

which (I think) points to

/volume1/@appstore/python/lib/python2.7/site-packages

and I also have one installed at

/usr/bin/python
which uses
/usr/lib/python2.7/site-packages/

doing the below, I thought might fix it

Code: Select all

root@Nas:~# /volume1/@appstore/mylar/env/bin/pip install html5lib
Collecting html5lib
  Using cached https://files.pythonhosted.org/packages/a5/62/bbd2be0e7943ec8504b517e62bab011b4946e1258842bc159e5dfde15b96/html5lib-1.0.1-py2.py3-none-any.whl
Requirement already satisfied: six>=1.9 in /volume1/@appstore/python/lib/python2.7/site-packages (from html5lib) (1.11.0)
Collecting webencodings (from html5lib)
  Using cached https://files.pythonhosted.org/packages/f4/24/2a3e3df732393fed8b3ebf2ec078f05546de641fe1b667ee316ec1dcf3b7/webencodings-0.5.1-py2.py3-none-any.whl
Installing collected packages: webencodings, html5lib
Successfully installed html5lib-1.0.1 webencodings-0.5.1
You are using pip version 10.0.1, however version 18.0 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
but when I ran

Code: Select all

ls -la /volume1/@appstore/python/lib/python2.7/site-packages
html5lib wasn't there. So I copied the libs manually

Code: Select all

cp -r /usr/lib/python2.7/site-packages/html5lib /volume1/@appstore/python/lib/python2.7/site-packages
cp -r /usr/lib/python2.7/site-packages/html5lib-1.0.1.dist-info /volume1/@appstore/python/lib/python2.7/site-packages

User avatar
evilhero
Site Admin
Posts: 2263
Joined: Sat Apr 20, 2013 3:43 pm
Contact:

Re: FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by evilhero » Fri Aug 31, 2018 4:43 pm

So in relinking the library items, did that fix the problem or is it still causing an issue ?

Klh
Posts: 2
Joined: Sun Mar 04, 2018 8:08 am

Re: FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by Klh » Fri Sep 07, 2018 11:22 pm

Synology here as well, with the same issue. Mylar reports 2.7.14, python --version reports 2.7.12. Anyways, I had "lib/python2.7/site-packages" in 3 places on my NAS I think. contained in Mylar, @appstore/python, and /usr.

It appears to be smart enough to check multiple locations:
running pip install (this was a second run)...
Requirement already satisfied: html5lib in /volume1/@appstore/mylar/env/lib/python2.7/site-packages (1.0.1)
Requirement already satisfied: six>=1.9 in /volume1/@appstore/python/lib/python2.7/site-packages (from html5lib) (1.11.0)
Requirement already satisfied: webencodings in /volume1/@appstore/mylar/env/lib/python2.7/site-packages (from html5lib) (0.5.1)

After running the pip install html5lib (it installed within Mylar env), I made sure all three locations had the same files (html5lib & webencondings & six) Just in case..

Things didn't work until I restarted Mylar. Now no more Featurenotfound error.

ebbnflow
Posts: 5
Joined: Mon Aug 27, 2018 12:48 am

Re: FeatureNotFound: Couldn't find a tree builder with the features you requested: html5lib.

Post by ebbnflow » Sun Sep 09, 2018 3:59 am

evilhero wrote:
Fri Aug 31, 2018 4:43 pm
So in relinking the library items, did that fix the problem or is it still causing an issue ?
Copying the libs over manually fixed my issue. Mylar points to a different python runtime than the one that is installed via synology package manager.

Post Reply